mycroteck
Contributor
Contributor

Updating to ESXi 6.7 U3L and Baseline staging states rollup patch is "missing"

I recently finished my update to the latest patch on my vcsa to build 6.7.0.46000.  I am now attempting to update my esxi hosts to the latest 6.7 rollup patch ESXi670-202102001.  When I add it to my baseline through update manager and stage it the message "missing" is shown instead of staged.  My baseline is also showing as non-compliant.  I can successfully perform this in my test environment and it works flawlessly.  I am not sure how to resolve this.

Labels (3)
0 Kudos
5 Replies
Arvind_Kumar11
Enthusiast
Enthusiast

Hi Mate,

Do you have any screenshot for this so that we could see the complete error.

Also, is the warning states something like "Missing dependencies"?

0 Kudos
mycroteck
Contributor
Contributor

Here is the attached screenshot.  I remediation pre-check states there are no issues requiring attention.  The message doesn't state anything about missing dependencies.  Additionally my esxi host is running version VMware ESXi, 6.7.0, 15160138.

 

Thanks,

0 Kudos
a_p_
Leadership
Leadership

The mentioned patch is not a rollup patch, so when using Update Manager you need to create a baseline with (at least) all the bulletins from the patches that were released after the build that you are currently running.

André

0 Kudos
mycroteck
Contributor
Contributor

So when I create the baseline based on the build I have installed currently.  Date range goes back to Dec 2019, It gives me 47 patches to possibly install.  I attach the baseline and then stage.  Attached is the result.  I see Staged, Missing, and Obsolete.  The second attachment item (arrow) is listed as a rollup patch on the updates page when I select it to add to the baseline.  Is this going to be a problem when I install?  I am able to perform these updates in my test environment without issue and do not receive the same messages I see in production.

Thanks for your help,

 

 

0 Kudos
mycroteck
Contributor
Contributor

I have an update for this question.  

I recently discovered that the hosts I was attempting to update were setup with one of the HP OEM iso versions, ESXi 6.7 P01, build 15160138 and none of the updates had been run after the iso installation was completed.  I went out and downloaded the most recent HP OEM build iso and upgraded all of my hosts.  I then ran the update manager in the VCSA and this resolved the issue.  It looked like more than 90% of the offered updates had been marked as obsolete or unavailable prior to updating with the OEM iso.  Thank you and I appreciate your help and response on this question.

Thanks again,

Joe

 

0 Kudos